Subject: bug#15478: cc-mode does not obey electric-indent-mode

From: Josh <[email-masked]>
Date: Tue, 8 Oct 2013 08:59:40 -0700

On Mon, Oct 7, 2013 at 11:49 PM, Eli Zaretskii <[email-masked]> wrote:
> > From: Josh <[email-masked]>
> > Date: Mon, 7 Oct 2013 14:17:23 -0700
> > Cc: Alan Mackenzie <[email-masked]>, Stefan Monnier <
[email-masked]>,
> >       [email-masked]
> > As Daniel said upthread, "Users don't read READMEs --- they download a
> > program, try it out, and in 15 minutes or so, decide whether they want
to
> > invest time into it."  I believe that most such users who dislike this
> > behavior and start down the path I described will fail and be far less
> > likely to invest further time in Emacs and move on to something else.
> > Perhaps such users are a small minority; I don't know.  But I attribute
the
> > fact that you see few complaints about this behavior to selection bias,
> > with some who dislike the behavior not complaining because they gave up
and
> > moved on to another editor while still others who dislike it do not
> > complain because we managed to disable it ourselves.
> This hypothesis is not useful, because it can "justify" any opinion,
> without being burdened with any evidence whatsoever.  The fact is that
> users do complain about all sorts of Emacs behavior that is
> inconvenient for them.  So, as a matter of fact, enough users do
> survive the 15-minute shock to continue using Emacs.  If most of those
> who do don't see the current electrical behavior as a nuisance worth
> complaining about, that is good enough for me.

The squeaky wheel metric is often useful but surely you would agree
that it tends to underrepresent those problems that are unlikely to
be complained about in practice for one reason or another.  I offered
two such reasons (and you'll note that I acknowledged the possibility
that such users could be a small minority) in order to point out that
the number of complaints alone may not reflect the full extent of the
problem, but it's clear that you don't believe the difference matters
in this case.